draugr.metrics.metric\_collection.MetricCollection
==================================================



.. currentmodule:: draugr.metrics.metric_collection

.. autoclass:: MetricCollection
   :members:
   :show-inheritance:
   :inherited-members:

   
   .. automethod:: __init__

   
   .. rubric:: Methods

   .. autosummary::
   
      ~MetricCollection.__init__
      ~MetricCollection.add_metric
      ~MetricCollection.append
      ~MetricCollection.clear
      ~MetricCollection.copy
      ~MetricCollection.fromkeys
      ~MetricCollection.get
      ~MetricCollection.items
      ~MetricCollection.keys
      ~MetricCollection.pop
      ~MetricCollection.popitem
      ~MetricCollection.remove_metric
      ~MetricCollection.save
      ~MetricCollection.setdefault
      ~MetricCollection.update
      ~MetricCollection.values
   
   

   
   
   .. rubric:: Attributes

   .. autosummary::
   
      ~MetricCollection.metrics
   
   